curl --request GET \
--url https://api.leadping.ai/usage/summary/my \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/usage/summary/my"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/usage/summary/my");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/usage/summary/my")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/usage/summary/my', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/usage/summary/my"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/usage/summary/my",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"customerChargeTotal": 123,
"billableQuantityTotal": 123,
"transactionCount": 123,
"pendingInvoiceCount": 123,
"failedCount": 123,
"lines": [
{
"channel": "lead",
"billableUnit": "lead_received",
"status": "recorded",
"quantity": 123,
"customerChargeAmount": 123,
"recordCount": 123
}
],
"counters": [
{
"key": "<string>",
"label": "<string>",
"value": 123,
"unit": "<string>",
"sortOrder": 123
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get organization messaging usage summary
Returns current-organization usage totals for the active billing period, including spend, limits, and event summary data.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Query Parameters
The period start.
The period end.
Response
Returns the usage summary response.
Describes usage summary response data used by Leadping.
UTC timestamp for period start on this usage summary.
UTC timestamp for period end on this usage summary.
The customer charge total for this usage summary.
The billable quantity total for this usage summary.
The usage record count for this usage summary.
The pending invoice count for this usage summary.
The failed count for this usage summary.
The lines included with this usage summary.
Show child attributes
Show child attributes
The named usage counters included with this usage summary.
Show child attributes
Show child attributes

